Bug 1808994 - enp3s0f0 (e1000e): transmit queue 0 timed out
Summary: enp3s0f0 (e1000e): transmit queue 0 timed out
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-02 08:40 UTC by Łukasz Trąbiński
Modified: 2020-05-26 18:25 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:25:20 UTC
Type: Bug
lukasz: needinfo-


Attachments (Terms of Use)
Out from journalctl --no-hostname -k (156.27 KB, text/plain)
2020-03-02 08:42 UTC, Łukasz Trąbiński
no flags Details

Description Łukasz Trąbiński 2020-03-02 08:40:31 UTC
1. Please describe the problem:

[38720.357584] ------------[ cut here ]------------
[38720.357613] NETDEV WATCHDOG: enp3s0f0 (e1000e): transmit queue 0 timed out
[38720.357657] WARNING: CPU: 2 PID: 0 at net/sched/sch_generic.c:442 dev_watchdog+0x248/0x250
[38720.357662] Modules linked in: ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter 8021q garp mrp stp llc it87 hwmon_vid intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_hda_codec_realtek kvm snd_hda_codec_generic irqbypass ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_intel_dspcfg crct10dif_pclmul joydev snd_hda_codec crc32_pclmul snd_hda_core ghash_clmulni_intel snd_hwdep igb snd_seq intel_cstate intel_uncore snd_seq_device pcspkr snd_pcm intel_rapl_perf dca i2c_i801 iTCO_wdt snd_timer mxm_wmi snd mei_hdcp iTCO_vendor_support soundcore e1000e mei_me mei lpc_ich ip_tables i915 i2c_algo_bit drm_kms_helper drm firewire_ohci crc32c_intel firewire_core crc_itu_t video wmi
[38720.357721] CPU: 2 PID: 0 Comm: swapper/2 Not tainted 5.5.6-100.fc30.x86_64 #1
[38720.357728] Hardware name: Gigabyte Technology Co., Ltd. Z87X-UD5H/Z87X-UD5H-CF, BIOS F5 05/16/2013
[38720.357738] RIP: 0010:dev_watchdog+0x248/0x250
[38720.357742] Code: 85 c0 75 e5 eb 9f 4c 89 ef c6 05 8c de f0 00 01 e8 3d cf fa ff 44 89 e1 4c 89 ee 48 c7 c7 a8 25 44 bb 48 89 c2 e8 9a 66 7f ff <0f> 0b eb 80 0f 1f 40 00 0f 1f 44 00 00 41 57 41 56 49 89 d6 41 55
[38720.357745] RSP: 0018:ffffa93b00100e60 EFLAGS: 00010286
[38720.357754] RAX: 0000000000000000 RBX: ffff8ac4b407bc00 RCX: 000000000000083f
[38720.357756] RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 000000000000083f
[38720.357757] RBP: ffff8ac4b5b7c45c R08: 00000000000004dc R09: 0000000000000003
[38720.357759] R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
[38720.357761] R13: ffff8ac4b5b7c000 R14: ffff8ac4b5b7c480 R15: 0000000000000001
[38720.357764] FS:  0000000000000000(0000) GS:ffff8ac4bb300000(0000) knlGS:0000000000000000
[38720.357770] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[38720.357776] CR2: 0000560b213b9018 CR3: 000000012960a001 CR4: 00000000001606e0
[38720.357782] Call Trace:
[38720.357789]  <IRQ>
[38720.357801]  ? pfifo_fast_enqueue+0x150/0x150
[38720.357808]  call_timer_fn+0x2d/0x130
[38720.357817]  __run_timers.part.0+0x16f/0x260
[38720.357824]  ? tick_sched_handle+0x22/0x60
[38720.357832]  ? tick_sched_timer+0x38/0x80
[38720.357835]  ? tick_sched_do_timer+0x70/0x70
[38720.357844]  run_timer_softirq+0x26/0x50
[38720.357851]  __do_softirq+0xee/0x2ff
[38720.357865]  irq_exit+0xe9/0xf0
[38720.357869]  smp_apic_timer_interrupt+0x76/0x130
[38720.357874]  apic_timer_interrupt+0xf/0x20
[38720.357877]  </IRQ>
[38720.357884] RIP: 0010:cpuidle_enter_state+0xc9/0x3e0
[38720.357888] Code: e8 2c eb 8e ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 ea 02 00 00 31 ff e8 6e 3f 95 ff fb 66 0f 1f 44 00 00 <45> 85 ed 0f 88 40 02 00 00 49 63 d5 4c 2b 64 24 10 48 8d 04 52 48
[38720.357890] RSP: 0018:ffffa93b00097e68 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
[38720.357893] RAX: ffff8ac4bb32ae00 RBX: ffff8ac4bb335e30 RCX: 000000000000001f
[38720.357895] RDX: 0000000000000000 RSI: 00000000294a56f2 RDI: 0000000000000000
[38720.357897] RBP: ffffffffbb74eec0 R08: 0000233749280ec5 R09: 0000000000001912
[38720.357899] R10: 000000000000077a R11: ffff8ac4bb329be4 R12: 0000233749280ec5
[38720.357901] R13: 0000000000000005 R14: 0000000000000005 R15: ffff8ac4ba15a680
[38720.357911]  ? cpuidle_enter_state+0xa4/0x3e0
[38720.357917]  cpuidle_enter+0x29/0x40
[38720.357925]  do_idle+0x1e4/0x280
[38720.357932]  cpu_startup_entry+0x19/0x20
[38720.357938]  start_secondary+0x162/0x1b0
[38720.357945]  secondary_startup_64+0xb6/0xc0
[38720.357951] ---[ end trace 8ff0e991cd6295b0 ]---



2. What is the Version-Release number of the kernel:

5.5.6-100.fc30.x86_64


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

On some earlier kernel, too.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:



5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Not tested.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Łukasz Trąbiński 2020-03-02 08:42:41 UTC
Created attachment 1666924 [details]
Out from journalctl --no-hostname -k

Comment 2 Justin M. Forbes 2020-03-03 16:34:56 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.5.7-100.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 3 Łukasz Trąbiński 2020-03-05 13:19:31 UTC
It's seems to be resolved. Thank You.

Comment 4 Łukasz Trąbiński 2020-03-05 20:18:31 UTC
After few hours:

[56567.197747] ------------[ cut here ]------------
[56567.197775] NETDEV WATCHDOG: enp3s0f0 (e1000e): transmit queue 0 timed out
[56567.197804] WARNING: CPU: 2 PID: 0 at net/sched/sch_generic.c:442 dev_watchdog+0x248/0x250
[56567.197805] Modules linked in: ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter 8021q garp mrp stp llc it87 hwmon_vid snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio intel_rapl_msr intel_rapl_common snd_hda_codec_hdmi snd_hda_intel x86_pkg_temp_thermal snd_intel_dspcfg snd_hda_codec intel_powerclamp coretemp snd_hda_core snd_hwdep snd_seq kvm_intel kvm snd_seq_device snd_pcm snd_timer snd iTCO_wdt soundcore irqbypass iTCO_vendor_support crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore mei_hdcp intel_rapl_perf e1000e mxm_wmi igb pcspkr mei_me mei lpc_ich joydev dca i2c_i801 ip_tables i915 i2c_algo_bit drm_kms_helper crc32c_intel drm firewire_ohci firewire_core crc_itu_t video wmi
[56567.197839] CPU: 2 PID: 0 Comm: swapper/2 Not tainted 5.5.7-100.fc30.x86_64 #1
[56567.197841] Hardware name: Gigabyte Technology Co., Ltd. Z87X-UD5H/Z87X-UD5H-CF, BIOS F5 05/16/2013
[56567.197845] RIP: 0010:dev_watchdog+0x248/0x250
[56567.197848] Code: 85 c0 75 e5 eb 9f 4c 89 ef c6 05 8c de f0 00 01 e8 3d cf fa ff 44 89 e1 4c 89 ee 48 c7 c7 c0 27 44 86 48 89 c2 e8 5a 66 7f ff <0f> 0b eb 80 0f 1f 40 00 0f 1f 44 00 00 41 57 41 56 49 89 d6 41 55
[56567.197849] RSP: 0018:ffffa93f00100e60 EFLAGS: 00010286
[56567.197851] RAX: 0000000000000000 RBX: ffff9df232eb4e00 RCX: 000000000000083f
[56567.197853] RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 000000000000083f
[56567.197854] RBP: ffff9df23780445c R08: 00000000000099f0 R09: 0000000000000003
[56567.197855] R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
[56567.197856] R13: ffff9df237804000 R14: ffff9df237804480 R15: 0000000000000001
[56567.197858] FS:  0000000000000000(0000) GS:ffff9df23b300000(0000) knlGS:0000000000000000
[56567.197859] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[56567.197860] CR2: 0000564f00f78018 CR3: 000000000e60a003 CR4: 00000000001606e0
[56567.197862] Call Trace:
[56567.197864]  <IRQ>
[56567.197871]  ? pfifo_fast_enqueue+0x150/0x150
[56567.197875]  call_timer_fn+0x2d/0x130
[56567.197879]  __run_timers.part.0+0x16f/0x260
[56567.197883]  ? tick_sched_handle+0x22/0x60
[56567.197885]  ? tick_sched_timer+0x38/0x80
[56567.197888]  ? tick_sched_do_timer+0x70/0x70
[56567.197891]  run_timer_softirq+0x26/0x50
[56567.197895]  __do_softirq+0xee/0x2ff
[56567.197902]  irq_exit+0xe9/0xf0
[56567.197905]  smp_apic_timer_interrupt+0x76/0x130
[56567.197908]  apic_timer_interrupt+0xf/0x20
[56567.197910]  </IRQ>
[56567.197916] RIP: 0010:cpuidle_enter_state+0xc9/0x3e0
[56567.197918] Code: e8 5c e6 8e ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 ea 02 00 00 31 ff e8 4e 3a 95 ff fb 66 0f 1f 44 00 00 <45> 85 ed 0f 88 40 02 00 00 49 63 d5 4c 2b 64 24 10 48 8d 04 52 48
[56567.197920] RSP: 0018:ffffa93f00097e68 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
[56567.197922] RAX: ffff9df23b32ae00 RBX: ffff9df23b335e30 RCX: 000000000000001f
[56567.197923] RDX: 0000000000000000 RSI: 00000000294a5533 RDI: 0000000000000000
[56567.197924] RBP: ffffffff8674eec0 R08: 0000337293b9f59d R09: 0000000000001062
[56567.197925] R10: 000000000000022c R11: ffff9df23b329be4 R12: 0000337293b9f59d
[56567.197926] R13: 0000000000000005 R14: 0000000000000005 R15: ffff9df23a15cd00
[56567.197932]  ? cpuidle_enter_state+0xa4/0x3e0
[56567.197935]  cpuidle_enter+0x29/0x40
[56567.197940]  do_idle+0x1e4/0x280
[56567.197944]  cpu_startup_entry+0x19/0x20
[56567.197947]  start_secondary+0x162/0x1b0
[56567.197951]  secondary_startup_64+0xb6/0xc0
[56567.197954] ---[ end trace a5fc2bfc5b853853 ]---
[56567.197995] e1000e 0000:03:00.0 enp3s0f0: Reset adapter unexpectedly
[56567.371478] e1000e 0000:03:00.0: Some CPU C-states have been disabled in order to enable jumbo frames
[56570.369599] e1000e: enp3s0f0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None

Comment 5 Ben Cotton 2020-04-30 20:22:11 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-05-26 18:25:20 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.